### Class

# WebKit2 PolicyDecision

#### Description [src]

    abstract class WebKit2.PolicyDecision : GObject.Object {
      parent: GObject
    }

A pending policy decision.

Often WebKit allows the client to decide the policy for certain operations. For instance, a client may want to open a link in a new tab, block a navigation entirely, query the user or trigger a download instead of a navigation. In these cases WebKit will fire the `WebKitWebView::decide-policy` signal with a `WebKitPolicyDecision` object. If the signal handler does nothing, WebKit will act as if `webkit_policy_decision_use()` was called as soon as signal handling completes. To make a policy decision asynchronously, simply increment the reference count of the `WebKitPolicyDecision` object.

#### Ancestors

- GObject

#### Descendants

- WebKitNavigationPolicyDecision
- WebKitResponsePolicyDecision

#### Instance methods

###### webkit_policy_decision_download

Spawn a download from this decision.

###### webkit_policy_decision_ignore

`WebKitResponsePolicyDecision`, this would cancel the request.

###### webkit_policy_decision_use

Accept the action which triggered this decision.

###### webkit_policy_decision_use_with_policies

Accept the navigation action and continue with provided `policies`.

Available since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2PolicyDecisionClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_webkit_reserved0`

    void (* _webkit_reserved0) (
    void
      )

| No description available.

`_webkit_reserved1`

    void (* _webkit_reserved1) (
    void
      )

| No description available.

`_webkit_reserved2`

    void (* _webkit_reserved2) (
    void
      )

| No description available.

`_webkit_reserved3`

    void (* _webkit_reserved3) (
    void
      )

| No description available.